//
//  LivenessTutorialView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 30/06/2025.
//

import SwiftUI

struct LivenessTutorialView: View {
    var body: some View {
        VStack(spacing: 0) {
            HStack {
                SQProgressIndicator(.constant(true))
                SQProgressIndicator(.constant(false))
                SQProgressIndicator(.constant(false))
            }
            VStack(spacing: 32) {
                VStack(alignment: .leading, spacing: 8) {
                    SQText("Pour vérifier votre identité, vous allez devoir réaliser une courte vidéo de votre visage, nous permettant de valider que vous êtes une personne réelle.")
                        .sqFont(.semiBold)
                    SQText("Cette vidéo ne sera pas stockée par AlloVoisins.\nElle est éphémère et n’est utilisée que dans le cadre du processus de vérification d’identité.")
                }
                .padding(.vertical, 16)
                VStack(alignment: .leading, spacing: 8) {
                    SQText("Pour garantir le bon déroulement de la vérification d’identité :")
                        .sqSize(18)
                        .sqFont(.bold)
                    HStack {
                        SQImage("portrait_reflection", height: 80)
                        SQText("Trouvez un endroit bien éclairé.\nUne bonne lumière est essentielle, mais évitez la lumière directe du soleil sur votre visage.")
                    }
                    HStack {
                        SQImage("portrait_accessories", height: 80)
                        SQText("Veuillez retirer vos lunettes de soleil, chapeau, masque ou tout autre accessoire. Ceux-ci rendent votre identification plus difficile.")
                    }
                    HStack {
                        SQImage("portrait_angle", height: 80)
                        SQText("Positionnez votre visage dans le cadre de l'écran et suivez les  instructions.")
                    }
                }
                Spacer()
                SQButton("Continuer") {

                }
            }
        }
        .padding([.horizontal, .top])
    }
}

#Preview {
    LivenessTutorialView()
}
